# Update a content type

Updates a content type with a specific ID. {% admonition type="info" name="Note" %} The Update method replaces the existing content type with the request body. It does not merge content. Therefore, your request must include the new version of the content type, including both updates and any data you want to retain. Anything not included in your request will be lost. {% /admonition %}

Endpoint: PUT /api/v2/cm/branches/{branchId}/content-types/{contentTypeId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `contentTypeId` (string, required)
    The ID of the content type to update, for example  8cwa-M3RYUSfdCSeP_YuSQ.

## Query parameters:

  - `version` (integer)
    The version of the content type.

## Request fields (application/json-patch+json):

  - `name` (string,null)

  - `label` (string,null)

  - `description` (string,null)

  - `isDirectQuery` (boolean,null)

  - `isPrivate` (boolean,null)

  - `versionTags` (array,null)

  - `fields` (array,null)

  - `fragments` (array,null)

  - `fragmentKey` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 204 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 409 fields
